﻿using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;
using Syncfusion.DocToPDFConverter;
using Syncfusion.OfficeChartToImageConverter;
using Syncfusion.Pdf;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NuGet_Base
{
    class Program
    {
        static void Main(string[] args)
        {

            //Loads an existing Word document

            WordDocument wordDocument = new WordDocument(@"../../xy2A_modified.docx", FormatType.Docx);

            //Initializes the ChartToImageConverter for converting charts during Word to pdf conversion

            wordDocument.ChartToImageConverter = new ChartToImageConverter();

            //Creates an instance of the DocToPDFConverter

            DocToPDFConverter converter = new DocToPDFConverter();

            converter.Settings.EnableFastRendering = true;

            //Converts Word document into PDF document

            PdfDocument pdfDocument = converter.ConvertToPDF(wordDocument);

            //Saves the PDF file 

            pdfDocument.Save(@"../../xy2A_modified.pdf");

            //Closes the instance of document objects

            pdfDocument.Close(true);

            wordDocument.Close();
        }
    }
}
